package p19_napisy.regex;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Przyklad3 {

	public static void main(String[] args) {
		Pattern pattern = Pattern.compile("Mam na imi[eę] (\\p{L}+) a na nazwisko (\\p{L}+)");
		Matcher matcher = pattern.matcher(
				"Cześć! Mam na imię Jola a na nazwisko Żółtkowska. A kot Feliks.");
		
		if(matcher.find()) {
			System.out.println("Znalazłem kogoś"); 
			String caly = matcher.group(0);
			System.out.println(caly);
			
			String imie = matcher.group(1);
			String nazwisko = matcher.group(2);
			System.out.println("To jest "+imie+" "+nazwisko);
		} else {
			System.out.println("Nie pasuje");
		}
	}

}
